VisualEditor: [Regression] The list of reusable references does not provide any details except for reference number
Closed, ResolvedPublic

Description

Try to reuse a reference in VE in an article featuring references.

All you get is the list of number in brackets, which are the numbers of the references, and nothing else.

(Actually, if you test it in https://en.wikipedia.org/wiki/Alex_Timbers?veaction=edit , you will notice that it does provide the "ref name" for the first reference; but that's it).

It seems it does not matter which OS, browser or skin you are using.


Version: unspecified
Severity: major
URL: https://commons.wikimedia.org/wiki/File:VisualEditor_ref_dialog_box_showing_numbers_and_ref_names.png

bzimport set Reference to bz57209.
Elitre created this task.Via LegacyNov 18 2013, 9:27 PM
John_Broughton added a comment.Via ConduitNov 21 2013, 2:17 AM

This makes the ""Use an existing reference" functionality almost *useless*. You can't see *any* information about the existing references - the author, title, url, etc., etc. I *could* modify the user guide to say "Remember the footnote number you want to use again, because if you don't, the dialog box that appears will be worthless", but that would be embarrassing. Also, hopefully, this regression will be fixed quickly. (I'd feel better if it were prioritized as at least "High" priority.)

Cainamarques added a comment.Via ConduitNov 21 2013, 1:50 PM

Yeah, I was not paying attention Elitre. This bug happens to me as well. I did some testing and found something interesting. In the Alex Timbers article, I "named" more than one reference to see if the names would show up in the existing references list (as the first one did) and they do. But for whatever reason I can not edit those "named" references using VE. It only shows:

[1]

I can edit the first named reference and all the others perfectly. Is that a known bug?

Test page:
https://en.wikipedia.org/w/index.php?title=User:Cainamarques/sandbox&oldid=582669663

Cainamarques added a comment.Via ConduitNov 21 2013, 2:24 PM

FORGET my last comment. I did not know I could not edit simple external hiperlinks (with only the url). At least I am assuming I cant...

Elitre added a comment.Via ConduitNov 21 2013, 8:11 PM

Hey Cainamarques, about this last comment, let's keep this conversation at https://en.wikipedia.org/wiki/User_talk:Cainamarques#Bug.3F . Thanks!

Jdforrester-WMF added a comment.Via ConduitNov 25 2013, 10:10 AM

Also reported as bug 57420, fix pending. Sorry for the disruption.

  • This bug has been marked as a duplicate of bug 57420 ***
bzimport added a comment.Via ConduitDec 10 2013, 10:19 AM

Wikifram wrote:

This is not a duplicate, these are completely different issues, and this one isn't fixed in MediaWiki. This bug is not about autonumbering, this is about "use an existing reference", where you only get to see the numbers, not the contents of the ref, which is totally useless. Please don't merge unrelated bugs.

Whatamidoing-WMF added a comment.Via ConduitJan 23 2014, 7:27 PM

The screenshot at https://en.wikipedia.org/wiki/File:Use_existing_reference_bug_for_VE.jpg shows how inadquate the interface is. Even if you search for a word that you know is in the ref, you may still be left with many unidentified ref numbers. "Please blindly guess which one is the right one" is not a desirable interface.

NemesisIII added a comment.Via ConduitFeb 2 2014, 10:33 PM

Actually, when test on my sandbox page, https://fr.wikipedia.org/wiki/Utilisateur:NemesisIII/Ch%C3%A2teau_Rothschild_%28Boulogne-Billancourt%29?veaction=edit, there is some text displayed for the 4th ref. Still, if these two words are indeed in the reference, they are sperarated by many other words. And why for this reference, and not for the others ? The 2nd and the 7th references are very similar but no words are displayed in the tool...

John_Broughton added a comment.Via ConduitFeb 2 2014, 10:49 PM

This is ABSURD. It's been two and half months of having something that *used to work* no longer work. And that something was very USEFUL - if you wanted to use a existing citation/reference to support text in more than one place in an article, you could do so easily.

Why does it take the VE team MONTHS to fix something that gets broken? How difficult is this, really? Why don't regressions get TOP priority for fixing?

(Just so there's no misunderstanding about what's broken:

a. In the "Insert" menu, select "Reference"
b. At the bottom left corner of the dialog box, click "Use an existing reference".

While you can still select any existing reference, what you CAN'T do is actually see what the references consist of (author, title, date, publication, etc.). Yes, occasionally some text does appear, but REALLY?

And yes, there is a workaround - first you should look at the References section in the article, and note the reference number you want, BEFORE you do a. and b. above. But REALLY - is this supposed to be user-friendly? Is this the sort of step-by-step procedure we want to put into a user manual?

So to repeat - it's ABSURD that someone can't easily (and quickly) fix a problem that simply involves DISPLAYING SOME TEXT. And if there is an underlying problem with VE or Parsoid that prevents DISPLAYING SOME TEXT, then perhaps someone would post a brief explanation here so that this wouldn't seem so ABSURD.

Aklapper added a comment.Via ConduitFeb 3 2014, 1:09 PM

(In reply to comment #9)

This is ABSURD.

Please discuss high-level team priorities or workflows e.g. on https://en.wikipedia.org/wiki/Wikipedia:VisualEditor/Feedback - this specific bug report is only about this specific bug and its technical aspect. Thanks.

Whatamidoing-WMF added a comment.Via ConduitFeb 3 2014, 3:49 PM

Nemesis, what you're seeing for the fourth reference is the ref name (<ref name="Couratier_Transvaal">). This is displayed, and might be helpful if the ref name were both sensibly chosen (e.g., not just a number or random letter) and if it already existed for every ref that you wanted to re-use.

Jdforrester-WMF added a comment.Via ConduitFeb 4 2014, 3:44 AM

Sorry, this bug got entirely missed.

For major regression bugs like this, if they've clearly missed out on immediate triage, please shout out-of-band (e.g. on IRC or the various Feedback pages) as otherwise it's likely to continue to get missed for weeks or even months, as in this case. :-(

Assigning. Ed, please fix urgently.

gerritbot added a comment.Via ConduitFeb 4 2014, 3:55 PM

Change 111203 had a related patch set uploaded by Esanders:
Fix 'use existing reference' list rendering

https://gerrit.wikimedia.org/r/111203

gerritbot added a comment.Via ConduitFeb 4 2014, 6:27 PM

Change 111203 merged by jenkins-bot:
Fix 'use existing reference' list rendering

https://gerrit.wikimedia.org/r/111203

gerritbot added a comment.Via ConduitFeb 4 2014, 6:28 PM

Change 111229 had a related patch set uploaded by Jforrester:
Fix 'use existing reference' list rendering

https://gerrit.wikimedia.org/r/111229

gerritbot added a comment.Via ConduitFeb 4 2014, 6:28 PM

Change 111232 had a related patch set uploaded by Jforrester:
Fix 'use existing reference' list rendering

https://gerrit.wikimedia.org/r/111232

NemesisIII added a comment.Via ConduitFeb 4 2014, 11:38 PM

(In reply to comment #11)

Thank you for your reply.

gerritbot added a comment.Via ConduitFeb 5 2014, 12:04 AM

Change 111229 merged by jenkins-bot:
Fix 'use existing reference' list rendering

https://gerrit.wikimedia.org/r/111229

gerritbot added a comment.Via ConduitFeb 5 2014, 12:05 AM

Change 111232 merged by jenkins-bot:
Fix 'use existing reference' list rendering

https://gerrit.wikimedia.org/r/111232

Jdforrester-WMF added a comment.Via ConduitFeb 5 2014, 6:40 PM

Fixed and back-ported.

Ryasmeen added a comment.Via ConduitFeb 5 2014, 11:44 PM

Verified the fix in test2

Ryasmeen added a comment.Via ConduitFeb 5 2014, 11:51 PM

Created attachment 14498
Screenshot of testing the fix

Attached:

NemesisIII removed a subscriber: NemesisIII.Via WebSat, Aug 15, 11:05 PM

Add Comment